<?
#############################################################
#  XYListmail Version 多用户4.0版  ( 星原邮件列表程序 )
#
#  版权所有: 星原商务网络
#
#  制作人  : cxrich   (星原浪子)
#
#  主页地址: http://www.exyweb.com/      星原商务网络
#
####################任何人不得删除此版权部分####################
require("config.php");
require("mailset.php");

$view="view.php";

$admindataname="list.php";
$admindata="$catalogdata/";
$adminfiledata=$admindata.$admindataname;
if(!file_exists($adminfiledata)){
	echo "$mail_top";
	echo "<link rel=stylesheet href=main.css type=text/css><br><br><center>还没记录<br><br><a href=$filepath/admin.php>返回</a><br><br></center>";
}else{
echo "$mail_top";
?>
<center><br><font color=red size=3><b><?echo $titlename?>邮件列表用户一览</b></font><br><br></center>
<table width="750" border="1" cellspacing="2" cellpadding="0" align="center" bgcolor="#FFEEEE" bordercolorlight="#008000" bordercolordark="#FFFFFF">
  <tr> 
    <td width="170"> 
      <div align="center">管理人</div>
    </td>
    <td width="371"> 
      <div align="center">列表名称</div>
    </td>
    <td width="52"> 
      <div align="center">订户数</div>
    </td>
    <td width="87"> 
      <div align="center">申请时间</div>
    </td>
  </tr>
<?
if (!isset($page)) $page=1;  //设置没有PAGE参数,PAGE自动为1
$pageno=$pageno;
$x=($page-1)*$pageno;
$nn=1;
$line_array=file($adminfiledata);
$linenum=count($line_array);
while($x<$linenum){
		$name=trim($line_array[$x]);
		$admin_filename="$name.php";
		$admin_fileuser="$cataloguser/$admin_filename";
		$temp=file("$admin_fileuser");
		$tempcount=count("$temp");
//求订户数
$fileread="$catalogdata/";
$filedata_s=$fileread."$name/$name.php";
$fileuser_s=file("$filedata_s");
$counte_s=count($fileuser_s);
//求订户数结束
	for ($i=0; $i<$tempcount; $i++)
		{
		$line="$temp[$i]";
		$info=split(" ‖‖ ",$line);
?>
  <tr> 
    <td width="170" height="21"> 
      <a href=mailto:<? echo $info[3]; ?>><img src="<?echo $imagesurl?>/mail.gif" width="16" height="16" border="0" alt="给列表管理者发送邮件"></a> <? echo $info[1]; ?>
    </td>
    <td width="371" height="21"> 
      <img src="<?echo $imagesurl?>/htm.gif" width="16" height="16" border="0"> <a href=<? echo"$filepath/$setupname?id=$info[1]";?> target="_blank"><? echo $info[0]; ?></a>
    </td>
    <td width="52" height="21"> 
      <center>
        <? echo $counte_s; ?>
      </center>
    </td>
    <td width="87" height="21"> 
      <center>
        <? echo $info[9]; ?>
      </center>
    </td>
  </tr>
  <?
	}
$x++;
$nn++;
if($nn>$pageno){break;}
}
echo "</table>";
?>
    <table width="750" border="0" cellspacing="0" cellpadding="0">
      <tr> 
        <td>
		  <?echo "<a href=$filepath/$setupname?id=$name>";?>返回邮件列表</a>
        </td>
	  </tr>
    </table>
<?
echo "<br><div align=\"center\">";
//计算页面
if($linenum%$pageno==0)
{
 $countsum=$linenum/$pageno;
}
else
{
$countsum=floor($linenum/$pageno)+1;
}
//分页显示数据
print "<a href=$filepath/$view?page=1>首 页</a>";
$up=$page-1;
$dn=$page+1;
if($page >1){
print " <a href=$filepath/$view?page=$up>上一页</a> ";
}
else{
echo " 上一页 ";
}
if($page >= $countsum){
print " 下一页 ";
}else{
print " <a href=$filepath/$view?page=$dn>下一页</a> ";
}
print " <a href=$filepath/$view?page=$countsum>尾 页</a>";
echo "共 <font color=#FF0000>$linenum</font> 条 每页 <font color=#FF0000>$pageno</font> 条记录";
echo "<p></p></div>";
}
echo "$mail_bottom";
####################星原商务网络--版权所有#####################
?>